MissingH-1.4.1.0: Large utility library

Copyright | Copyright (C) 2005-2011 John Goerzen
License | BSD3
Maintainer | John Goerzen <jgoerzen@complete.org>
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

System.IO.StatCompat

Description

Provide a stat-like structure for use in MissingH. Especially useful with HVFS and on Windows. See also System.IO.WindowsCompat.

# Documentation

data FileStatusCompat #

Constructors

FileStatusCompat |

Fields

- deviceID :: DeviceID
- fileID :: FileID
- fileMode :: FileMode
- linkCount :: LinkCount
- fileOwner :: UserID
- fileGroup :: GroupID
- specialDeviceID :: DeviceID
- fileSize :: FileOffset
- accessTime :: EpochTime
- modificationTime :: EpochTime
- statusChangeTime :: EpochTime

sc_helper :: FileMode -> FileStatusCompat -> Bool #

isBlockDevice :: FileStatusCompat -> Bool #

isCharacterDevice :: FileStatusCompat -> Bool #

isNamedPipe :: FileStatusCompat -> Bool #

isRegularFile :: FileStatusCompat -> Bool #

isDirectory :: FileStatusCompat -> Bool #

isSymbolicLink :: FileStatusCompat -> Bool #

isSocket :: FileStatusCompat -> Bool #